Package org.eclipse.emf.cdo.lm.reviews

# Interface ReviewsPackage

All Superinterfaces:
  `EModelElement`, `ENamedElement`, `EObject`, `EPackage`, `Notifier`

All Known Implementing Classes:
  `ReviewsPackageImpl`

public interface ReviewsPackage extends EPackage
The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

See Also:
  - `ReviewsFactory`
Generated
Model
  kind="package"
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`ReviewsPackage.Literals`
Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`EPackage.Descriptor, EPackage.Registry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ANNOTATION_SOURCE`
`static final int`
`COMMENT`
The meta object id for the '`Comment`' class.
`static final int`
`COMMENT___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`COMMENT___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`COMMENT__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`COMMENT__AUTHOR`
The feature id for the 'Author' attribute.
`static final int`
`COMMENT__COMMENT_COUNT`
The feature id for the 'Comment Count' attribute.
`static final int`
`COMMENT__COMMENTABLE`
The feature id for the 'Commentable' container reference.
`static final int`
`COMMENT__COMMENTS`
The feature id for the 'Comments' containment reference list.
`static final int`
`COMMENT__PARENT_HEADING`
The feature id for the 'Parent Heading' reference.
`static final int`
`COMMENT__RESOLVED_COUNT`
The feature id for the 'Resolved Count' attribute.
`static final int`
`COMMENT__REVIEW`
The feature id for the 'Review' reference.
`static final int`
`COMMENT__STATUS`
The feature id for the 'Status' attribute.
`static final int`
`COMMENT__TEXT`
The feature id for the 'Text' attribute.
`static final int`
`COMMENT__UNRESOLVED_COUNT`
The feature id for the 'Unresolved Count' attribute.
`static final int`
`COMMENT_FEATURE_COUNT`
The number of structural features of the 'Comment' class.
`static final int`
`COMMENT_OPERATION_COUNT`
The number of operations of the 'Comment' class.
`static final int`
`COMMENT_STATUS`
The meta object id for the '`Comment Status`' enum.
`static final int`
`COMMENTABLE`
The meta object id for the '`Commentable`' class.
`static final int`
`COMMENTABLE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`COMMENTABLE___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`COMMENTABLE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`COMMENTABLE__COMMENT_COUNT`
The feature id for the 'Comment Count' attribute.
`static final int`
`COMMENTABLE__COMMENTS`
The feature id for the 'Comments' containment reference list.
`static final int`
`COMMENTABLE__RESOLVED_COUNT`
The feature id for the 'Resolved Count' attribute.
`static final int`
`COMMENTABLE__REVIEW`
The feature id for the 'Review' reference.
`static final int`
`COMMENTABLE__UNRESOLVED_COUNT`
The feature id for the 'Unresolved Count' attribute.
`static final int`
`COMMENTABLE_FEATURE_COUNT`
The number of structural features of the 'Commentable' class.
`static final int`
`COMMENTABLE_OPERATION_COUNT`
The number of operations of the 'Commentable' class.
`static final int`
`DELIVERY_REVIEW`
The meta object id for the '`Delivery Review`' class.
`static final int`
`DELIVERY_REVIEW___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`DELIVERY_REVIEW___GET_BASE`
The operation id for the 'Get Base' operation.
`static final int`
`DELIVERY_REVIEW___GET_BASE_TIME_STAMP`
The operation id for the 'Get Base Time Stamp' operation.
`static final int`
`DELIVERY_REVIEW___GET_BRANCH`
The operation id for the 'Get Branch' operation.
`static final int`
`DELIVERY_REVIEW___GET_BRANCH_POINT`
The operation id for the 'Get Branch Point' operation.
`static final int`
`DELIVERY_REVIEW___GET_DELIVERIES`
The operation id for the 'Get Deliveries' operation.
`static final int`
`DELIVERY_REVIEW___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`DELIVERY_REVIEW___GET_NAME`
The operation id for the 'Get Name' operation.
`static final int`
`DELIVERY_REVIEW___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`DELIVERY_REVIEW___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`DELIVERY_REVIEW__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`DELIVERY_REVIEW__AUTHOR`
The feature id for the 'Author' attribute.
`static final int`
`DELIVERY_REVIEW__BASE`
The feature id for the 'Base' reference.
`static final int`
`DELIVERY_REVIEW__BRANCH`
The feature id for the 'Branch' attribute.
`static final int`
`DELIVERY_REVIEW__CLOSED`
The feature id for the 'Closed' attribute.
`static final int`
`DELIVERY_REVIEW__COMMENT_COUNT`
The feature id for the 'Comment Count' attribute.
`static final int`
`DELIVERY_REVIEW__COMMENTS`
The feature id for the 'Comments' containment reference list.
`static final int`
`DELIVERY_REVIEW__DELIVERIES`
The feature id for the 'Deliveries' reference list.
`static final int`
`DELIVERY_REVIEW__FLOATING`
The feature id for the 'Floating' attribute.
`static final int`
`DELIVERY_REVIEW__ID`
The feature id for the 'Id' attribute.
`static final int`
`DELIVERY_REVIEW__IMPACT`
The feature id for the 'Impact' attribute.
`static final int`
`DELIVERY_REVIEW__REBASE_COUNT`
The feature id for the 'Rebase Count' attribute.
`static final int`
`DELIVERY_REVIEW__RESOLVED_COUNT`
The feature id for the 'Resolved Count' attribute.
`static final int`
`DELIVERY_REVIEW__REVIEW`
The feature id for the 'Review' reference.
`static final int`
`DELIVERY_REVIEW__REVIEWERS`
The feature id for the 'Reviewers' attribute list.
`static final int`
`DELIVERY_REVIEW__SOURCE_CHANGE`
The feature id for the 'Source Change' reference.
`static final int`
`DELIVERY_REVIEW__SOURCE_COMMIT`
The feature id for the 'Source Commit' attribute.
`static final int`
`DELIVERY_REVIEW__STATUS`
The feature id for the 'Status' attribute.
`static final int`
`DELIVERY_REVIEW__STREAM`
The feature id for the 'Stream' container reference.
`static final int`
`DELIVERY_REVIEW__TARGET_COMMIT`
The feature id for the 'Target Commit' attribute.
`static final int`
`DELIVERY_REVIEW__UNRESOLVED_COUNT`
The feature id for the 'Unresolved Count' attribute.
`static final int`
`DELIVERY_REVIEW_FEATURE_COUNT`
The number of structural features of the 'Delivery Review' class.
`static final int`
`DELIVERY_REVIEW_OPERATION_COUNT`
The number of operations of the 'Delivery Review' class.
`static final int`
`DROP_REVIEW`
The meta object id for the '`Drop Review`' class.
`static final int`
`DROP_REVIEW___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`DROP_REVIEW___GET_BASE_TIME_STAMP`
The operation id for the 'Get Base Time Stamp' operation.
`static final int`
`DROP_REVIEW___GET_BASED_CHANGES`
The operation id for the 'Get Based Changes' operation.
`static final int`
`DROP_REVIEW___GET_BRANCH_POINT`
The operation id for the 'Get Branch Point' operation.
`static final int`
`DROP_REVIEW___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`DROP_REVIEW___GET_NAME`
The operation id for the 'Get Name' operation.
`static final int`
`DROP_REVIEW___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`DROP_REVIEW___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`DROP_REVIEW__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`DROP_REVIEW__AUTHOR`
The feature id for the 'Author' attribute.
`static final int`
`DROP_REVIEW__COMMENT_COUNT`
The feature id for the 'Comment Count' attribute.
`static final int`
`DROP_REVIEW__COMMENTS`
The feature id for the 'Comments' containment reference list.
`static final int`
`DROP_REVIEW__DELIVERY`
The feature id for the 'Delivery' reference.
`static final int`
`DROP_REVIEW__DEPENDENCIES`
The feature id for the 'Dependencies' containment reference list.
`static final int`
`DROP_REVIEW__DROP_LABEL`
The feature id for the 'Drop Label' attribute.
`static final int`
`DROP_REVIEW__DROP_TYPE`
The feature id for the 'Drop Type' reference.
`static final int`
`DROP_REVIEW__FLOATING`
The feature id for the 'Floating' attribute.
`static final int`
`DROP_REVIEW__ID`
The feature id for the 'Id' attribute.
`static final int`
`DROP_REVIEW__RESOLVED_COUNT`
The feature id for the 'Resolved Count' attribute.
`static final int`
`DROP_REVIEW__REVIEW`
The feature id for the 'Review' reference.
`static final int`
`DROP_REVIEW__REVIEWERS`
The feature id for the 'Reviewers' attribute list.
`static final int`
`DROP_REVIEW__STATUS`
The feature id for the 'Status' attribute.
`static final int`
`DROP_REVIEW__STREAM`
The feature id for the 'Stream' container reference.
`static final int`
`DROP_REVIEW__TARGET_TIME_STAMP`
The feature id for the 'Target Time Stamp' attribute.
`static final int`
`DROP_REVIEW__UNRESOLVED_COUNT`
The feature id for the 'Unresolved Count' attribute.
`static final int`
`DROP_REVIEW__VERSION`
The feature id for the 'Version' attribute.
`static final int`
`DROP_REVIEW_FEATURE_COUNT`
The number of structural features of the 'Drop Review' class.
`static final int`
`DROP_REVIEW_OPERATION_COUNT`
The number of operations of the 'Drop Review' class.
`static final ReviewsPackage`
`eINSTANCE`
The singleton instance of the package.
`static final String`
`eNAME`
The package name.
`static final String`
`eNS_PREFIX`
The package namespace name.
`static final String`
`eNS_URI`
The package namespace URI.
`static final int`
`HEADING`
The meta object id for the '`Heading`' class.
`static final int`
`HEADING___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`HEADING___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`HEADING__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`HEADING__AUTHOR`
The feature id for the 'Author' attribute.
`static final int`
`HEADING__COMMENT_COUNT`
The feature id for the 'Comment Count' attribute.
`static final int`
`HEADING__COMMENTABLE`
The feature id for the 'Commentable' container reference.
`static final int`
`HEADING__COMMENTS`
The feature id for the 'Comments' containment reference list.
`static final int`
`HEADING__NEXT_HEADING`
The feature id for the 'Next Heading' reference.
`static final int`
`HEADING__OUTLINE_NUMBER`
The feature id for the 'Outline Number' attribute.
`static final int`
`HEADING__PARENT_HEADING`
The feature id for the 'Parent Heading' reference.
`static final int`
`HEADING__PARENT_INDEX`
The feature id for the 'Parent Index' attribute.
`static final int`
`HEADING__PREVIOUS_HEADING`
The feature id for the 'Previous Heading' reference.
`static final int`
`HEADING__RESOLVED_COUNT`
The feature id for the 'Resolved Count' attribute.
`static final int`
`HEADING__REVIEW`
The feature id for the 'Review' reference.
`static final int`
`HEADING__STATUS`
The feature id for the 'Status' attribute.
`static final int`
`HEADING__TEXT`
The feature id for the 'Text' attribute.
`static final int`
`HEADING__UNRESOLVED_COUNT`
The feature id for the 'Unresolved Count' attribute.
`static final int`
`HEADING_FEATURE_COUNT`
The number of structural features of the 'Heading' class.
`static final int`
`HEADING_OPERATION_COUNT`
The number of operations of the 'Heading' class.
`static final int`
`REVIEW`
The meta object id for the '`Review`' class.
`static final int`
`REVIEW___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`REVIEW___GET_BASE_TIME_STAMP`
The operation id for the 'Get Base Time Stamp' operation.
`static final int`
`REVIEW___GET_BRANCH_POINT`
The operation id for the 'Get Branch Point' operation.
`static final int`
`REVIEW___GET_MODULE`
The operation id for the 'Get Module' operation.
`static final int`
`REVIEW___GET_NAME`
The operation id for the 'Get Name' operation.
`static final int`
`REVIEW___GET_STREAM`
The operation id for the 'Get Stream' operation.
`static final int`
`REVIEW___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`REVIEW__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`REVIEW__AUTHOR`
The feature id for the 'Author' attribute.
`static final int`
`REVIEW__COMMENT_COUNT`
The feature id for the 'Comment Count' attribute.
`static final int`
`REVIEW__COMMENTS`
The feature id for the 'Comments' containment reference list.
`static final int`
`REVIEW__FLOATING`
The feature id for the 'Floating' attribute.
`static final int`
`REVIEW__ID`
The feature id for the 'Id' attribute.
`static final int`
`REVIEW__RESOLVED_COUNT`
The feature id for the 'Resolved Count' attribute.
`static final int`
`REVIEW__REVIEW`
The feature id for the 'Review' reference.
`static final int`
`REVIEW__REVIEWERS`
The feature id for the 'Reviewers' attribute list.
`static final int`
`REVIEW__STATUS`
The feature id for the 'Status' attribute.
`static final int`
`REVIEW__STREAM`
The feature id for the 'Stream' container reference.
`static final int`
`REVIEW__UNRESOLVED_COUNT`
The feature id for the 'Unresolved Count' attribute.
`static final int`
`REVIEW_FEATURE_COUNT`
The number of structural features of the 'Review' class.
`static final int`
`REVIEW_OPERATION_COUNT`
The number of operations of the 'Review' class.
`static final int`
`REVIEW_STATUS`
The meta object id for the '`Review Status`' enum.
`static final int`
`REVIEW_TEMPLATE`
The meta object id for the '`Review Template`' class.
`static final int`
`REVIEW_TEMPLATE___GET_ANNOTATION__STRING`
The operation id for the 'Get Annotation' operation.
`static final int`
`REVIEW_TEMPLATE___GET_SYSTEM`
The operation id for the 'Get System' operation.
`static final int`
`REVIEW_TEMPLATE__ANNOTATIONS`
The feature id for the 'Annotations' containment reference list.
`static final int`
`REVIEW_TEMPLATE__COMMENT_COUNT`
The feature id for the 'Comment Count' attribute.
`static final int`
`REVIEW_TEMPLATE__COMMENTS`
The feature id for the 'Comments' containment reference list.
`static final int`
`REVIEW_TEMPLATE__RESOLVED_COUNT`
The feature id for the 'Resolved Count' attribute.
`static final int`
`REVIEW_TEMPLATE__REVIEW`
The feature id for the 'Review' reference.
`static final int`
`REVIEW_TEMPLATE__REVIEWERS`
The feature id for the 'Reviewers' attribute list.
`static final int`
`REVIEW_TEMPLATE__UNRESOLVED_COUNT`
The feature id for the 'Unresolved Count' attribute.
`static final int`
`REVIEW_TEMPLATE_FEATURE_COUNT`
The number of structural features of the 'Review Template' class.
`static final int`
`REVIEW_TEMPLATE_OPERATION_COUNT`
The number of operations of the 'Review Template' class.

## Method Summary

Modifier and Type
Method
Description
`static Annotation`
`getAnnotation(ModelElement modelElement, boolean createOnDemand)`
`EClass`
`getComment()`
Returns the meta object for class '`Comment`'.
`EAttribute`
`getComment_Author()`
Returns the meta object for the attribute '`Author`'.
`EReference`
`getComment_Commentable()`
Returns the meta object for the container reference '`Commentable`'.
`EReference`
`getComment_ParentHeading()`
Returns the meta object for the reference '`Parent Heading`'.
`EAttribute`
`getComment_Status()`
Returns the meta object for the attribute '`Status`'.
`EAttribute`
`getComment_Text()`
Returns the meta object for the attribute '`Text`'.
`EClass`
`getCommentable()`
Returns the meta object for class '`Commentable`'.
`EAttribute`
`getCommentable_CommentCount()`
Returns the meta object for the attribute '`Comment Count`'.
`EReference`
`getCommentable_Comments()`
Returns the meta object for the containment reference list '`Comments`'.
`EAttribute`
`getCommentable_ResolvedCount()`
Returns the meta object for the attribute '`Resolved Count`'.
`EReference`
`getCommentable_Review()`
Returns the meta object for the reference '`Review`'.
`EAttribute`
`getCommentable_UnresolvedCount()`
Returns the meta object for the attribute '`Unresolved Count`'.
`EEnum`
`getCommentStatus()`
Returns the meta object for enum '`Comment Status`'.
`EClass`
`getDeliveryReview()`
Returns the meta object for class '`Delivery Review`'.
`EReference`
`getDeliveryReview_Base()`
Returns the meta object for the reference '`Base`'.
`EAttribute`
`getDeliveryReview_Branch()`
Returns the meta object for the attribute '`Branch`'.
`EReference`
`getDeliveryReview_Deliveries()`
Returns the meta object for the reference list '`Deliveries`'.
`EAttribute`
`getDeliveryReview_Impact()`
Returns the meta object for the attribute '`Impact`'.
`EAttribute`
`getDeliveryReview_RebaseCount()`
Returns the meta object for the attribute '`Rebase Count`'.
`EReference`
`getDeliveryReview_SourceChange()`
Returns the meta object for the reference '`Source Change`'.
`EAttribute`
`getDeliveryReview_SourceCommit()`
Returns the meta object for the attribute '`Source Commit`'.
`EAttribute`
`getDeliveryReview_TargetCommit()`
Returns the meta object for the attribute '`Target Commit`'.
`EClass`
`getDropReview()`
Returns the meta object for class '`Drop Review`'.
`EReference`
`getDropReview_Delivery()`
Returns the meta object for the reference '`Delivery`'.
`EAttribute`
`getDropReview_DropLabel()`
Returns the meta object for the attribute '`Drop Label`'.
`EReference`
`getDropReview_DropType()`
Returns the meta object for the reference '`Drop Type`'.
`EAttribute`
`getDropReview_TargetTimeStamp()`
Returns the meta object for the attribute '`Target Time Stamp`'.
`EClass`
`getHeading()`
Returns the meta object for class '`Heading`'.
`EReference`
`getHeading_NextHeading()`
Returns the meta object for the reference '`Next Heading`'.
`EAttribute`
`getHeading_OutlineNumber()`
Returns the meta object for the attribute '`Outline Number`'.
`EAttribute`
`getHeading_ParentIndex()`
Returns the meta object for the attribute '`Parent Index`'.
`EReference`
`getHeading_PreviousHeading()`
Returns the meta object for the reference '`Previous Heading`'.
`EClass`
`getReview()`
Returns the meta object for class '`Review`'.
`EAttribute`
`getReview_Author()`
Returns the meta object for the attribute '`Author`'.
`EAttribute`
`getReview_Id()`
Returns the meta object for the attribute '`Id`'.
`EAttribute`
`getReview_Reviewers()`
Returns the meta object for the attribute list '`Reviewers`'.
`EAttribute`
`getReview_Status()`
Returns the meta object for the attribute '`Status`'.
`ReviewsFactory`
`getReviewsFactory()`
Returns the factory that creates the instances of the model.
`EEnum`
`getReviewStatus()`
Returns the meta object for enum '`Review Status`'.
`EClass`
`getReviewTemplate()`
Returns the meta object for class '`Review Template`'.
`EAttribute`
`getReviewTemplate_Reviewers()`
Returns the meta object for the attribute list '`Reviewers`'.

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eNAME

static final String eNAME
The package name.

See Also:
  - Constant Field Values
Generated

### eNS_URI

static final String eNS_URI
The package namespace URI.

See Also:
  - Constant Field Values
Generated

### eNS_PREFIX

static final String eNS_PREFIX
The package namespace name.

See Also:
  - Constant Field Values
Generated

### eINSTANCE

static final ReviewsPackage eINSTANCE
The singleton instance of the package.

Generated

### ANNOTATION_SOURCE

static final String ANNOTATION_SOURCE

See Also:
  - Constant Field Values

### COMMENTABLE

static final int COMMENTABLE
The meta object id for the '`Commentable`' class.

See Also:
  - `CommentableImpl`
  - `ReviewsPackageImpl.getCommentable()`
  - Constant Field Values
Generated

### COMMENTABLE__ANNOTATIONS

static final int COMMENTABLE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENTABLE__REVIEW

static final int COMMENTABLE__REVIEW
The feature id for the 'Review' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENTABLE__COMMENTS

static final int COMMENTABLE__COMMENTS
The feature id for the 'Comments' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENTABLE__COMMENT_COUNT

static final int COMMENTABLE__COMMENT_COUNT
The feature id for the 'Comment Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENTABLE__UNRESOLVED_COUNT

static final int COMMENTABLE__UNRESOLVED_COUNT
The feature id for the 'Unresolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENTABLE__RESOLVED_COUNT

static final int COMMENTABLE__RESOLVED_COUNT
The feature id for the 'Resolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENTABLE_FEATURE_COUNT

static final int COMMENTABLE_FEATURE_COUNT
The number of structural features of the 'Commentable' class.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENTABLE___GET_ANNOTATION__STRING

static final int COMMENTABLE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENTABLE___GET_SYSTEM

static final int COMMENTABLE___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENTABLE_OPERATION_COUNT

static final int COMMENTABLE_OPERATION_COUNT
The number of operations of the 'Commentable' class.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT

static final int COMMENT
The meta object id for the '`Comment`' class.

See Also:
  - `CommentImpl`
  - `ReviewsPackageImpl.getComment()`
  - Constant Field Values
Generated

### COMMENT__ANNOTATIONS

static final int COMMENT__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT__REVIEW

static final int COMMENT__REVIEW
The feature id for the 'Review' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT__COMMENTS

static final int COMMENT__COMMENTS
The feature id for the 'Comments' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT__COMMENT_COUNT

static final int COMMENT__COMMENT_COUNT
The feature id for the 'Comment Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT__UNRESOLVED_COUNT

static final int COMMENT__UNRESOLVED_COUNT
The feature id for the 'Unresolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT__RESOLVED_COUNT

static final int COMMENT__RESOLVED_COUNT
The feature id for the 'Resolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT__COMMENTABLE

static final int COMMENT__COMMENTABLE
The feature id for the 'Commentable' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT__PARENT_HEADING

static final int COMMENT__PARENT_HEADING
The feature id for the 'Parent Heading' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT__AUTHOR

static final int COMMENT__AUTHOR
The feature id for the 'Author' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT__TEXT

static final int COMMENT__TEXT
The feature id for the 'Text' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT__STATUS

static final int COMMENT__STATUS
The feature id for the 'Status' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT_FEATURE_COUNT

static final int COMMENT_FEATURE_COUNT
The number of structural features of the 'Comment' class.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT___GET_ANNOTATION__STRING

static final int COMMENT___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT___GET_SYSTEM

static final int COMMENT___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT_OPERATION_COUNT

static final int COMMENT_OPERATION_COUNT
The number of operations of the 'Comment' class.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING

static final int HEADING
The meta object id for the '`Heading`' class.

See Also:
  - `HeadingImpl`
  - `ReviewsPackageImpl.getHeading()`
  - Constant Field Values
Generated

### HEADING__ANNOTATIONS

static final int HEADING__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__REVIEW

static final int HEADING__REVIEW
The feature id for the 'Review' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__COMMENTS

static final int HEADING__COMMENTS
The feature id for the 'Comments' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__COMMENT_COUNT

static final int HEADING__COMMENT_COUNT
The feature id for the 'Comment Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__UNRESOLVED_COUNT

static final int HEADING__UNRESOLVED_COUNT
The feature id for the 'Unresolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__RESOLVED_COUNT

static final int HEADING__RESOLVED_COUNT
The feature id for the 'Resolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__COMMENTABLE

static final int HEADING__COMMENTABLE
The feature id for the 'Commentable' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__PARENT_HEADING

static final int HEADING__PARENT_HEADING
The feature id for the 'Parent Heading' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__AUTHOR

static final int HEADING__AUTHOR
The feature id for the 'Author' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__TEXT

static final int HEADING__TEXT
The feature id for the 'Text' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__STATUS

static final int HEADING__STATUS
The feature id for the 'Status' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__PREVIOUS_HEADING

static final int HEADING__PREVIOUS_HEADING
The feature id for the 'Previous Heading' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__NEXT_HEADING

static final int HEADING__NEXT_HEADING
The feature id for the 'Next Heading' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__PARENT_INDEX

static final int HEADING__PARENT_INDEX
The feature id for the 'Parent Index' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING__OUTLINE_NUMBER

static final int HEADING__OUTLINE_NUMBER
The feature id for the 'Outline Number' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING_FEATURE_COUNT

static final int HEADING_FEATURE_COUNT
The number of structural features of the 'Heading' class.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING___GET_ANNOTATION__STRING

static final int HEADING___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING___GET_SYSTEM

static final int HEADING___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### HEADING_OPERATION_COUNT

static final int HEADING_OPERATION_COUNT
The number of operations of the 'Heading' class.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_TEMPLATE

static final int REVIEW_TEMPLATE
The meta object id for the '`Review Template`' class.

See Also:
  - `ReviewTemplateImpl`
  - `ReviewsPackageImpl.getReviewTemplate()`
  - Constant Field Values
Generated

### REVIEW_TEMPLATE__ANNOTATIONS

static final int REVIEW_TEMPLATE__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_TEMPLATE__REVIEW

static final int REVIEW_TEMPLATE__REVIEW
The feature id for the 'Review' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_TEMPLATE__COMMENTS

static final int REVIEW_TEMPLATE__COMMENTS
The feature id for the 'Comments' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_TEMPLATE__COMMENT_COUNT

static final int REVIEW_TEMPLATE__COMMENT_COUNT
The feature id for the 'Comment Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_TEMPLATE__UNRESOLVED_COUNT

static final int REVIEW_TEMPLATE__UNRESOLVED_COUNT
The feature id for the 'Unresolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_TEMPLATE__RESOLVED_COUNT

static final int REVIEW_TEMPLATE__RESOLVED_COUNT
The feature id for the 'Resolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_TEMPLATE__REVIEWERS

static final int REVIEW_TEMPLATE__REVIEWERS
The feature id for the 'Reviewers' attribute list.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_TEMPLATE_FEATURE_COUNT

static final int REVIEW_TEMPLATE_FEATURE_COUNT
The number of structural features of the 'Review Template' class.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_TEMPLATE___GET_ANNOTATION__STRING

static final int REVIEW_TEMPLATE___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_TEMPLATE___GET_SYSTEM

static final int REVIEW_TEMPLATE___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_TEMPLATE_OPERATION_COUNT

static final int REVIEW_TEMPLATE_OPERATION_COUNT
The number of operations of the 'Review Template' class.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW

static final int REVIEW
The meta object id for the '`Review`' class.

See Also:
  - `ReviewImpl`
  - `ReviewsPackageImpl.getReview()`
  - Constant Field Values
Generated

### REVIEW__ANNOTATIONS

static final int REVIEW__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW__STREAM

static final int REVIEW__STREAM
The feature id for the 'Stream' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW__FLOATING

static final int REVIEW__FLOATING
The feature id for the 'Floating' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW__REVIEW

static final int REVIEW__REVIEW
The feature id for the 'Review' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW__COMMENTS

static final int REVIEW__COMMENTS
The feature id for the 'Comments' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW__COMMENT_COUNT

static final int REVIEW__COMMENT_COUNT
The feature id for the 'Comment Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW__UNRESOLVED_COUNT

static final int REVIEW__UNRESOLVED_COUNT
The feature id for the 'Unresolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW__RESOLVED_COUNT

static final int REVIEW__RESOLVED_COUNT
The feature id for the 'Resolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW__ID

static final int REVIEW__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW__AUTHOR

static final int REVIEW__AUTHOR
The feature id for the 'Author' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW__REVIEWERS

static final int REVIEW__REVIEWERS
The feature id for the 'Reviewers' attribute list.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW__STATUS

static final int REVIEW__STATUS
The feature id for the 'Status' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_FEATURE_COUNT

static final int REVIEW_FEATURE_COUNT
The number of structural features of the 'Review' class.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW___GET_ANNOTATION__STRING

static final int REVIEW___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW___GET_SYSTEM

static final int REVIEW___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW___GET_MODULE

static final int REVIEW___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW___GET_STREAM

static final int REVIEW___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW___GET_NAME

static final int REVIEW___GET_NAME
The operation id for the 'Get Name' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW___GET_BRANCH_POINT

static final int REVIEW___GET_BRANCH_POINT
The operation id for the 'Get Branch Point' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW___GET_BASE_TIME_STAMP

static final int REVIEW___GET_BASE_TIME_STAMP
The operation id for the 'Get Base Time Stamp' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### REVIEW_OPERATION_COUNT

static final int REVIEW_OPERATION_COUNT
The number of operations of the 'Review' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW

static final int DELIVERY_REVIEW
The meta object id for the '`Delivery Review`' class.

See Also:
  - `DeliveryReviewImpl`
  - `ReviewsPackageImpl.getDeliveryReview()`
  - Constant Field Values
Generated

### DELIVERY_REVIEW__ANNOTATIONS

static final int DELIVERY_REVIEW__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__STREAM

static final int DELIVERY_REVIEW__STREAM
The feature id for the 'Stream' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__FLOATING

static final int DELIVERY_REVIEW__FLOATING
The feature id for the 'Floating' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__REVIEW

static final int DELIVERY_REVIEW__REVIEW
The feature id for the 'Review' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__COMMENTS

static final int DELIVERY_REVIEW__COMMENTS
The feature id for the 'Comments' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__COMMENT_COUNT

static final int DELIVERY_REVIEW__COMMENT_COUNT
The feature id for the 'Comment Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__UNRESOLVED_COUNT

static final int DELIVERY_REVIEW__UNRESOLVED_COUNT
The feature id for the 'Unresolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__RESOLVED_COUNT

static final int DELIVERY_REVIEW__RESOLVED_COUNT
The feature id for the 'Resolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__ID

static final int DELIVERY_REVIEW__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__AUTHOR

static final int DELIVERY_REVIEW__AUTHOR
The feature id for the 'Author' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__REVIEWERS

static final int DELIVERY_REVIEW__REVIEWERS
The feature id for the 'Reviewers' attribute list.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__STATUS

static final int DELIVERY_REVIEW__STATUS
The feature id for the 'Status' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__CLOSED

static final int DELIVERY_REVIEW__CLOSED
The feature id for the 'Closed' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__BASE

static final int DELIVERY_REVIEW__BASE
The feature id for the 'Base' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__IMPACT

static final int DELIVERY_REVIEW__IMPACT
The feature id for the 'Impact' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__BRANCH

static final int DELIVERY_REVIEW__BRANCH
The feature id for the 'Branch' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__DELIVERIES

static final int DELIVERY_REVIEW__DELIVERIES
The feature id for the 'Deliveries' reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__SOURCE_CHANGE

static final int DELIVERY_REVIEW__SOURCE_CHANGE
The feature id for the 'Source Change' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__SOURCE_COMMIT

static final int DELIVERY_REVIEW__SOURCE_COMMIT
The feature id for the 'Source Commit' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__TARGET_COMMIT

static final int DELIVERY_REVIEW__TARGET_COMMIT
The feature id for the 'Target Commit' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW__REBASE_COUNT

static final int DELIVERY_REVIEW__REBASE_COUNT
The feature id for the 'Rebase Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW_FEATURE_COUNT

static final int DELIVERY_REVIEW_FEATURE_COUNT
The number of structural features of the 'Delivery Review' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW___GET_ANNOTATION__STRING

static final int DELIVERY_REVIEW___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW___GET_SYSTEM

static final int DELIVERY_REVIEW___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW___GET_MODULE

static final int DELIVERY_REVIEW___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW___GET_STREAM

static final int DELIVERY_REVIEW___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW___GET_NAME

static final int DELIVERY_REVIEW___GET_NAME
The operation id for the 'Get Name' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW___GET_BRANCH_POINT

static final int DELIVERY_REVIEW___GET_BRANCH_POINT
The operation id for the 'Get Branch Point' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW___GET_BASE_TIME_STAMP

static final int DELIVERY_REVIEW___GET_BASE_TIME_STAMP
The operation id for the 'Get Base Time Stamp' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW___GET_BASE

static final int DELIVERY_REVIEW___GET_BASE
The operation id for the 'Get Base' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW___GET_DELIVERIES

static final int DELIVERY_REVIEW___GET_DELIVERIES
The operation id for the 'Get Deliveries' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW___GET_BRANCH

static final int DELIVERY_REVIEW___GET_BRANCH
The operation id for the 'Get Branch' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DELIVERY_REVIEW_OPERATION_COUNT

static final int DELIVERY_REVIEW_OPERATION_COUNT
The number of operations of the 'Delivery Review' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW

static final int DROP_REVIEW
The meta object id for the '`Drop Review`' class.

See Also:
  - `DropReviewImpl`
  - `ReviewsPackageImpl.getDropReview()`
  - Constant Field Values
Generated

### DROP_REVIEW__ANNOTATIONS

static final int DROP_REVIEW__ANNOTATIONS
The feature id for the 'Annotations' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__STREAM

static final int DROP_REVIEW__STREAM
The feature id for the 'Stream' container reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__FLOATING

static final int DROP_REVIEW__FLOATING
The feature id for the 'Floating' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__REVIEW

static final int DROP_REVIEW__REVIEW
The feature id for the 'Review' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__COMMENTS

static final int DROP_REVIEW__COMMENTS
The feature id for the 'Comments' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__COMMENT_COUNT

static final int DROP_REVIEW__COMMENT_COUNT
The feature id for the 'Comment Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__UNRESOLVED_COUNT

static final int DROP_REVIEW__UNRESOLVED_COUNT
The feature id for the 'Unresolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__RESOLVED_COUNT

static final int DROP_REVIEW__RESOLVED_COUNT
The feature id for the 'Resolved Count' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__ID

static final int DROP_REVIEW__ID
The feature id for the 'Id' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__AUTHOR

static final int DROP_REVIEW__AUTHOR
The feature id for the 'Author' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__REVIEWERS

static final int DROP_REVIEW__REVIEWERS
The feature id for the 'Reviewers' attribute list.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__STATUS

static final int DROP_REVIEW__STATUS
The feature id for the 'Status' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__VERSION

static final int DROP_REVIEW__VERSION
The feature id for the 'Version' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__DEPENDENCIES

static final int DROP_REVIEW__DEPENDENCIES
The feature id for the 'Dependencies' containment reference list.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__DELIVERY

static final int DROP_REVIEW__DELIVERY
The feature id for the 'Delivery' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__TARGET_TIME_STAMP

static final int DROP_REVIEW__TARGET_TIME_STAMP
The feature id for the 'Target Time Stamp' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__DROP_TYPE

static final int DROP_REVIEW__DROP_TYPE
The feature id for the 'Drop Type' reference.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW__DROP_LABEL

static final int DROP_REVIEW__DROP_LABEL
The feature id for the 'Drop Label' attribute.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW_FEATURE_COUNT

static final int DROP_REVIEW_FEATURE_COUNT
The number of structural features of the 'Drop Review' class.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW___GET_ANNOTATION__STRING

static final int DROP_REVIEW___GET_ANNOTATION__STRING
The operation id for the 'Get Annotation' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW___GET_SYSTEM

static final int DROP_REVIEW___GET_SYSTEM
The operation id for the 'Get System' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW___GET_MODULE

static final int DROP_REVIEW___GET_MODULE
The operation id for the 'Get Module' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW___GET_STREAM

static final int DROP_REVIEW___GET_STREAM
The operation id for the 'Get Stream' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW___GET_NAME

static final int DROP_REVIEW___GET_NAME
The operation id for the 'Get Name' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW___GET_BRANCH_POINT

static final int DROP_REVIEW___GET_BRANCH_POINT
The operation id for the 'Get Branch Point' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW___GET_BASE_TIME_STAMP

static final int DROP_REVIEW___GET_BASE_TIME_STAMP
The operation id for the 'Get Base Time Stamp' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW___GET_BASED_CHANGES

static final int DROP_REVIEW___GET_BASED_CHANGES
The operation id for the 'Get Based Changes' operation.

See Also:
  - Constant Field Values
Generated
Ordered

### DROP_REVIEW_OPERATION_COUNT

static final int DROP_REVIEW_OPERATION_COUNT
The number of operations of the 'Drop Review' class.

See Also:
  - Constant Field Values
Generated
Ordered

### COMMENT_STATUS

static final int COMMENT_STATUS
The meta object id for the '`Comment Status`' enum.

See Also:
  - `CommentStatus`
  - `ReviewsPackageImpl.getCommentStatus()`
  - Constant Field Values
Generated

### REVIEW_STATUS

static final int REVIEW_STATUS
The meta object id for the '`Review Status`' enum.

See Also:
  - `ReviewStatus`
  - `ReviewsPackageImpl.getReviewStatus()`
  - Constant Field Values
Generated

## Method Details

### getAnnotation

static Annotation getAnnotation(ModelElement modelElement, boolean createOnDemand)

### getCommentable

EClass getCommentable()
Returns the meta object for class '`Commentable`'.

Returns:
  the meta object for class 'Commentable'.
See Also:
  - `Commentable`
Generated

### getCommentable_Review

EReference getCommentable_Review()
Returns the meta object for the reference '`Review`'.

Returns:
  the meta object for the reference 'Review'.
See Also:
  - `Commentable.getReview()`
  - `getCommentable()`
Generated

### getCommentable_Comments

EReference getCommentable_Comments()
Returns the meta object for the containment reference list '`Comments`'.

Returns:
  the meta object for the containment reference list 'Comments'.
See Also:
  - `Commentable.getComments()`
  - `getCommentable()`
Generated

### getCommentable_CommentCount

EAttribute getCommentable_CommentCount()
Returns the meta object for the attribute '`Comment Count`'.

Returns:
  the meta object for the attribute 'Comment Count'.
See Also:
  - `Commentable.getCommentCount()`
  - `getCommentable()`
Generated

### getCommentable_UnresolvedCount

EAttribute getCommentable_UnresolvedCount()
Returns the meta object for the attribute '`Unresolved Count`'.

Returns:
  the meta object for the attribute 'Unresolved Count'.
See Also:
  - `Commentable.getUnresolvedCount()`
  - `getCommentable()`
Generated

### getCommentable_ResolvedCount

EAttribute getCommentable_ResolvedCount()
Returns the meta object for the attribute '`Resolved Count`'.

Returns:
  the meta object for the attribute 'Resolved Count'.
See Also:
  - `Commentable.getResolvedCount()`
  - `getCommentable()`
Generated

### getComment

EClass getComment()
Returns the meta object for class '`Comment`'.

Returns:
  the meta object for class 'Comment'.
See Also:
  - `Comment`
Generated

### getComment_Commentable

EReference getComment_Commentable()
Returns the meta object for the container reference '`Commentable`'.

Returns:
  the meta object for the container reference 'Commentable'.
See Also:
  - `Comment.getCommentable()`
  - `getComment()`
Generated

### getComment_ParentHeading

EReference getComment_ParentHeading()
Returns the meta object for the reference '`Parent Heading`'.

Returns:
  the meta object for the reference 'Parent Heading'.
See Also:
  - `Comment.getParentHeading()`
  - `getComment()`
Generated

### getComment_Author

EAttribute getComment_Author()
Returns the meta object for the attribute '`Author`'.

Returns:
  the meta object for the attribute 'Author'.
See Also:
  - `Comment.getAuthor()`
  - `getComment()`
Generated

### getComment_Text

EAttribute getComment_Text()
Returns the meta object for the attribute '`Text`'.

Returns:
  the meta object for the attribute 'Text'.
See Also:
  - `Comment.getText()`
  - `getComment()`
Generated

### getComment_Status

EAttribute getComment_Status()
Returns the meta object for the attribute '`Status`'.

Returns:
  the meta object for the attribute 'Status'.
See Also:
  - `Comment.getStatus()`
  - `getComment()`
Generated

### getHeading

EClass getHeading()
Returns the meta object for class '`Heading`'.

Returns:
  the meta object for class 'Heading'.
See Also:
  - `Heading`
Generated

### getHeading_PreviousHeading

EReference getHeading_PreviousHeading()
Returns the meta object for the reference '`Previous Heading`'.

Returns:
  the meta object for the reference 'Previous Heading'.
See Also:
  - `Heading.getPreviousHeading()`
  - `getHeading()`
Generated

### getHeading_NextHeading

EReference getHeading_NextHeading()
Returns the meta object for the reference '`Next Heading`'.

Returns:
  the meta object for the reference 'Next Heading'.
See Also:
  - `Heading.getNextHeading()`
  - `getHeading()`
Generated

### getHeading_ParentIndex

EAttribute getHeading_ParentIndex()
Returns the meta object for the attribute '`Parent Index`'.

Returns:
  the meta object for the attribute 'Parent Index'.
See Also:
  - `Heading.getParentIndex()`
  - `getHeading()`
Generated

### getHeading_OutlineNumber

EAttribute getHeading_OutlineNumber()
Returns the meta object for the attribute '`Outline Number`'.

Returns:
  the meta object for the attribute 'Outline Number'.
See Also:
  - `Heading.getOutlineNumber()`
  - `getHeading()`
Generated

### getReviewTemplate

EClass getReviewTemplate()
Returns the meta object for class '`Review Template`'.

Returns:
  the meta object for class 'Review Template'.
See Also:
  - `ReviewTemplate`
Generated

### getReviewTemplate_Reviewers

EAttribute getReviewTemplate_Reviewers()
Returns the meta object for the attribute list '`Reviewers`'.

Returns:
  the meta object for the attribute list 'Reviewers'.
See Also:
  - `ReviewTemplate.getReviewers()`
  - `getReviewTemplate()`
Generated

### getReview

EClass getReview()
Returns the meta object for class '`Review`'.

Returns:
  the meta object for class 'Review'.
See Also:
  - `Review`
Generated

### getReview_Id

EAttribute getReview_Id()
Returns the meta object for the attribute '`Id`'.

Returns:
  the meta object for the attribute 'Id'.
See Also:
  - `Review.getId()`
  - `getReview()`
Generated

### getReview_Author

EAttribute getReview_Author()
Returns the meta object for the attribute '`Author`'.

Returns:
  the meta object for the attribute 'Author'.
See Also:
  - `Review.getAuthor()`
  - `getReview()`
Generated

### getReview_Reviewers

EAttribute getReview_Reviewers()
Returns the meta object for the attribute list '`Reviewers`'.

Returns:
  the meta object for the attribute list 'Reviewers'.
See Also:
  - `Review.getReviewers()`
  - `getReview()`
Generated

### getReview_Status

EAttribute getReview_Status()
Returns the meta object for the attribute '`Status`'.

Returns:
  the meta object for the attribute 'Status'.
See Also:
  - `Review.getStatus()`
  - `getReview()`
Generated

### getDeliveryReview

EClass getDeliveryReview()
Returns the meta object for class '`Delivery Review`'.

Returns:
  the meta object for class 'Delivery Review'.
See Also:
  - `DeliveryReview`
Generated

### getDeliveryReview_Base

EReference getDeliveryReview_Base()
Returns the meta object for the reference '`Base`'.

Returns:
  the meta object for the reference 'Base'.
See Also:
  - `DeliveryReview.getBase()`
  - `getDeliveryReview()`
Generated

### getDeliveryReview_Impact

EAttribute getDeliveryReview_Impact()
Returns the meta object for the attribute '`Impact`'.

Returns:
  the meta object for the attribute 'Impact'.
See Also:
  - `DeliveryReview.getImpact()`
  - `getDeliveryReview()`
Generated

### getDeliveryReview_Branch

EAttribute getDeliveryReview_Branch()
Returns the meta object for the attribute '`Branch`'.

Returns:
  the meta object for the attribute 'Branch'.
See Also:
  - `DeliveryReview.getBranch()`
  - `getDeliveryReview()`
Generated

### getDeliveryReview_Deliveries

EReference getDeliveryReview_Deliveries()
Returns the meta object for the reference list '`Deliveries`'.

Returns:
  the meta object for the reference list 'Deliveries'.
See Also:
  - `DeliveryReview.getDeliveries()`
  - `getDeliveryReview()`
Generated

### getDeliveryReview_SourceChange

EReference getDeliveryReview_SourceChange()
Returns the meta object for the reference '`Source Change`'.

Returns:
  the meta object for the reference 'Source Change'.
See Also:
  - `DeliveryReview.getSourceChange()`
  - `getDeliveryReview()`
Generated

### getDeliveryReview_SourceCommit

EAttribute getDeliveryReview_SourceCommit()
Returns the meta object for the attribute '`Source Commit`'.

Returns:
  the meta object for the attribute 'Source Commit'.
See Also:
  - `DeliveryReview.getSourceCommit()`
  - `getDeliveryReview()`
Generated

### getDeliveryReview_TargetCommit

EAttribute getDeliveryReview_TargetCommit()
Returns the meta object for the attribute '`Target Commit`'.

Returns:
  the meta object for the attribute 'Target Commit'.
See Also:
  - `DeliveryReview.getTargetCommit()`
  - `getDeliveryReview()`
Generated

### getDeliveryReview_RebaseCount

EAttribute getDeliveryReview_RebaseCount()
Returns the meta object for the attribute '`Rebase Count`'.

Returns:
  the meta object for the attribute 'Rebase Count'.
See Also:
  - `DeliveryReview.getRebaseCount()`
  - `getDeliveryReview()`
Generated

### getDropReview

EClass getDropReview()
Returns the meta object for class '`Drop Review`'.

Returns:
  the meta object for class 'Drop Review'.
See Also:
  - `DropReview`
Generated

### getDropReview_Delivery

EReference getDropReview_Delivery()
Returns the meta object for the reference '`Delivery`'.

Returns:
  the meta object for the reference 'Delivery'.
See Also:
  - `DropReview.getDelivery()`
  - `getDropReview()`
Generated

### getDropReview_TargetTimeStamp

EAttribute getDropReview_TargetTimeStamp()
Returns the meta object for the attribute '`Target Time Stamp`'.

Returns:
  the meta object for the attribute 'Target Time Stamp'.
See Also:
  - `DropReview.getTargetTimeStamp()`
  - `getDropReview()`
Generated

### getDropReview_DropType

EReference getDropReview_DropType()
Returns the meta object for the reference '`Drop Type`'.

Returns:
  the meta object for the reference 'Drop Type'.
See Also:
  - `DropReview.getDropType()`
  - `getDropReview()`
Generated

### getDropReview_DropLabel

EAttribute getDropReview_DropLabel()
Returns the meta object for the attribute '`Drop Label`'.

Returns:
  the meta object for the attribute 'Drop Label'.
See Also:
  - `DropReview.getDropLabel()`
  - `getDropReview()`
Generated

### getCommentStatus

EEnum getCommentStatus()
Returns the meta object for enum '`Comment Status`'.

Returns:
  the meta object for enum 'Comment Status'.
See Also:
  - `CommentStatus`
Generated

### getReviewStatus

EEnum getReviewStatus()
Returns the meta object for enum '`Review Status`'.

Returns:
  the meta object for enum 'Review Status'.
See Also:
  - `ReviewStatus`
Generated

### getReviewsFactory

ReviewsFactory getReviewsFactory()
Returns the factory that creates the instances of the model.

Returns:
  the factory that creates the instances of the model.
Generated